<?php

namespace Drupal\jsonapi_links\JsonApiResource;

use Drupal\Core\Field\EntityReferenceFieldItemListInterface;
use Drupal\jsonapi\JsonApiResource\LinkCollection;
use Drupal\jsonapi\JsonApiResource\Relationship as JsonApiRelationship;
use Drupal\jsonapi\JsonApiResource\ResourceObject;

/**
 * Override class for the Relationship from jsonapi.
 */
class Relationship extends JsonApiRelationship {

  /**
   * {@inheritdoc}
   */
  protected static function buildLinkCollectionFromEntityReferenceField(ResourceObject $context, EntityReferenceFieldItemListInterface $field, LinkCollection $links) {
    if (\Drupal::service('jsonapi_links.configuration_helper')->isEntityRefenceFieldLinksDisabled()) {
      return $links;
    }

    return parent::buildLinkCollectionFromEntityReferenceField($context, $field, $links);
  }

}
