<?php

namespace Drupal\jsonapi_links\JsonApiResource;

use Drupal\Core\Entity\EntityInterface;
use Drupal\jsonapi\JsonApiResource\LinkCollection;
use Drupal\jsonapi\JsonApiResource\ResourceObject as JsonapiResourceObject;
use Drupal\jsonapi\ResourceType\ResourceType;

/**
 * Override class for the Relationship from jsonapi.
 */
class ResourceObject extends JsonapiResourceObject {

  /**
   * {@inheritdoc}
   */
  protected static function buildLinksFromEntity(ResourceType $resource_type, EntityInterface $entity, LinkCollection $links) {
    if (\Drupal::service('jsonapi_links.configuration_helper')->isEntityLinksDisabled()) {
      return $links;
    }

    return parent::buildLinksFromEntity($resource_type, $entity, $links);
  }

}
